---
title: Getting Started
slug: bluecartapi/walmart-product-data-api/overview
docTags: 
createdAt: 2024-07-27T17:51:31.971Z
---

# Getting Started

BlueCart API is an API to retrieve public-domain data from Walmart in real-time.&#x20;

For `walmart.com,` you can use BlueCart API to retrieve [products](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/product), [reviews](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/reviews), [search results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/search), [autocomplete results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/autocomplete) and [category listings.](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/category)

&#x20;For `walmart.ca,` you can use BlueCart API to retrieve  [products](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/product), and [search results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/search).&#x20;

BlueCart API returns clean, structured  `JSON`  or  `CSV` results. You can achieve fine-grained control over your request using the [request parameters](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/common).

***

| Supported Endpoints | walmart.com | walmart.ca |
| ------------------- | ----------- | ---------- |
| Search              | ✅           | ✅          |
| Product             | ✅           | ✅          |
| Category            | ✅           | ❌          |
| Reviews             | ✅           | ❌          |
| Seller Profile      | ✅           | ❌          |
| Autocomplete        | ✅           | ❌          |

***

### Retrieving Search Results for Products on Walmart

<font color="#52c41a">`GET`</font>  `/request`

Getting search result Walmart data with BlueCart API is as simple as making an HTTP  `GET`  request to the  `request`  endpoint. The only required parameters are `api_key` ([sign up](https://app.bluecartapi.com/signup) for free to get an API key) and  `type`  (which defines the type of Walmart data you'd like to retrieve).

For example, to retrieve search results ( `type=search` ) for the search term  `highlighter pens` , ordered by best selling products ( `sort_by=best_seller` ) the BlueCart API request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bluecartapi.com/request?api_key=demo&type=search&search_term=highlighter+pens&sort_by=best_seller
```

```curl
$ curl -L --get https://api.bluecartapi.com/request \
  -d api_key="demo" \
  -d type="search" \
  -d sort_by="best_seller" \
  -d search_term="highlighter pens"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "search",
  search_term: "highlighter pens",
  sort_by: "best_seller"
}

// make the http GET request to BlueCart API
axios.get('https://api.bluecartapi.com/request', { params })
  .then(response => {

    // print the JSON response from BlueCart API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'search',
  'search_term': 'highlighter pens',
  'sort_by': 'best_seller'
}

# make the http GET request to BlueCart API
api_result = requests.get('https://api.bluecartapi.com/request', params)

# print the JSON response from BlueCart API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'search',
  'search_term': 'highlighter pens',
  'sort_by': 'best_seller'
]);

# make the http GET request to BlueCart API
$ch = curl_init(sprintf('%s?%s', 'https://api.bluecartapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);

curl_close($ch);

# print the JSON response from BlueCart API
echo $api_result;

?>
```
:::

:::hint{type="info"}
To view BlueCart API JSON results clearly in your browser we recommend these extensions for [Chrome](https://chrome.google.com/webstore/detail/jsonview/chklaanhfefbnpoihckbnefhakgolnmc) and [Firefox](https://addons.mozilla.org/en-GB/firefox/addon/jsonview/)
:::

The search results are shown below within the  `search_results`  array. For full documentation on the search results response see the [Search Results](https://www.bluecartapi.com/docs/walmart-product-data-api/results/search) docs.

```json
{
  "request_info": {
    "success": true,
    "credits_used": 1,
    "credits_remaining": 999
  },
  "request_metadata": {
    "created_at": "2025-01-01T00:00:00.000Z",
    "processed_at": "2025-01-01T00:00:00.000Z",
    "total_time_taken": 2.15,
    "walmart_url": "https://www.walmart.com/search?query=highlighter-pens&soft_sort=false&sort=best_seller"
  },
  "request_parameters": {
    "type": "search",
    "search_term": "highlighter pens",
    "customer_zipcode": "77001",
    "sort_by": "best_seller"
  },
  "search_results": [
    {
      "position": 1,
      "product": {
        "title": "Crayola Marker Set, 10-Colors",
        "link": "https://www.walmart.com/ip/Crayola-Marker-Set-10-Colors/16904604",
        "description": "Bundle and save. Get more and spend less when you buy these items together. See individual items for a complete description.",
        "brand": "Crayola",
        "item_id": "203521647",
        "product_id": "45DHHG6YLP9T",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/27baf96d-09b6-44c2-89ee-084509a43916.e6dbd5e417fea86ea6dc36068f75f546.png?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071662077228",
        "department": "Shop by Brand",
        "premium_brand": false,
        "rating": 4.7,
        "ratings_total": 77,
        "variants": [
          {
            "item_id": "203521647",
            "product_id": "2B3FL7AFDVM2",
            "title": "(2 Pack) Crayola Broad Line Markers, Classic Colors, School Supplies, 10 Count",
            "is_available": true,
            "image": "https://i5.walmartimages.com/asr/a17594d9-5020-415f-bbcc-6d408fa56751.2f969ab1c460fe63f5932c1bf294ef9e.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff",
            "link": "https://www.walmart.com/ip/2-Pack-Crayola-Broad-Line-Markers-Classic-Colors-School-Supplies-10-Count/203521647"
          }
        ]
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 4529,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 0.97,
          "min_price": 0.97,
          "max_price": 2.75,
          "currency": "USD",
          "id": "126514C8CEE54C429D2B7E6B9DADD764",
          "seller_name": "Walmart.com",
          "seller_id": "F55CDC31AB754BB68FE0B39041159D63"
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": "Best Seller"
        }
      }
    },
    {
      "position": 2,
      "product": {
        "title": "Sharpie Pocket Highlighters, Chisel Tip, Fluorescent Colors, 12 Count",
        "link": "https://www.walmart.com/ip/Sharpie-Pocket-Highlighters-Chisel-Tip-Fluorescent-Colors-12-Count/27672252",
        "description": "<li>Bright, see-through colors make your highlighted text easy to read</li><li>Versatile chisel tip</li>",
        "brand": "Sharpie",
        "item_id": "27672252",
        "product_id": "66JISACXVVR6",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/65b1f506-c54b-4f17-9350-3fa9885ae374_1.82ec7c4a4a3f591e9e86fbbf7299b0a4.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071641271456",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.8,
        "ratings_total": 66
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 21401,
        "available_online": false,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 5.47,
          "currency": "USD",
          "id": "666BEC979D24477D82ABA97B0D911DB8",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 3,
      "product": {
        "title": "BIC Brite Liner XL Tank Highlighter Chisel Tip, Assorted Colors, 4 Count",
        "link": "https://www.walmart.com/ip/BIC-Brite-Liner-XL-Tank-Highlighter-Chisel-Tip-Assorted-Colors-4-Count/19530361",
        "description": "<li>Use this BIC Brite Liner XL to mark important information. The Brite Liner highlighter features a chisel tip that allows for both broad highlighting and fine underlining. The package includes four</li>",
        "brand": "BIC",
        "item_id": "19530361",
        "product_id": "4T3E57D8K3JO",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/e234f6b8-3b93-4b3c-a9b7-97f249ea0778_1.5e191587ea2184ee76f7ace54221ac1c.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00070330323186",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.9,
        "ratings_total": 94
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 2314,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 6.64,
          "currency": "USD",
          "id": "D5B95365B7FA48F1B8FC3A774CEC15C6",
          "seller": {
            "name": "BestSource OfficeSupplies",
            "id": "A3C68337AD7E4680A953A8272D8A9235"
          }
        },
        "is_marketplace_item": true,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 4,
      "product": {
        "title": "Sharpie Tank Style Highlighters, Chisel Tip, Assorted Fluorescent, 12 Count",
        "link": "https://www.walmart.com/ip/Sharpie-Tank-Style-Highlighters-Chisel-Tip-Assorted-Fluorescent-12-Count/27672251",
        "description": "<li>Versatile chisel tip is great for highlighting or underlining</li><li>Easy gliding chisel tip delivers a smooth highlighting experience</li><li>6 bold see-through colors</li><li>Quick drying,</li>",
        "brand": "Sharpie",
        "item_id": "27672251",
        "product_id": "5GRAYICBIAUV",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/01787968-e4c0-4fe6-9319-1edee30b76ae_1.c7ff3642b829984be853538d77c28f44.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071641251458",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.7,
        "ratings_total": 38
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 2791,
        "available_online": false,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 5.47,
          "currency": "USD",
          "id": "C0284EE081E745EBBC73AE9F88090696",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 5,
      "product": {
        "title": "Sharpie Pocket Highlighters, Chisel Tip, Fluorescent Yellow, 4 Count",
        "link": "https://www.walmart.com/ip/Sharpie-Pocket-Highlighters-Chisel-Tip-Fluorescent-Yellow-4-Count/14906284",
        "description": "<li>Durable chisel tip</li><li>Fade resistant</li><li>Resists most paper bleed through</li>",
        "brand": "Sharpie",
        "item_id": "14906284",
        "product_id": "43F7WLGIRWV8",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/c07d9543-d5d4-4783-8fce-bf24f7286887_1.e55cb17c0ca2d64f3a8e695fd64fd1ce.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071641271654",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.8,
        "ratings_total": 6
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 101,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 8.45,
          "currency": "USD",
          "id": "F388E08C2AF74FC98320D9D1C26E8B71",
          "seller": {
            "name": "Pens N More",
            "id": "331D2DC4D4B64FCDB0C1C499F09D127E"
          }
        },
        "is_marketplace_item": true,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 6,
      "product": {
        "title": "Sharpie Oil-based Paint Marker, Medium Point, Black, 1 Count",
        "link": "https://www.walmart.com/ip/Sharpie-Oil-based-Paint-Marker-Medium-Point-Black-1-Count/114843218",
        "description": "<li>AP Certified non-toxic</li><li>Acid-free</li><li>Water, fade-and abrasion resistant</li>",
        "brand": "Sharpie",
        "item_id": "114843218",
        "product_id": "27QS3EZ4ZT6G",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/56e5c85f-1c4e-4ff1-99ea-ae9bad2d6b01_1.b9a7d7f0c7ca916732fa6b33d0f31e42.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071641068353",
        "department": "Arts Crafts & Sewing",
        "premium_brand": false,
        "rating": 2.8,
        "ratings_total": 23
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 2236,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 3.51,
          "currency": "USD",
          "id": "ED67CC1FBE4B4C638DBEBE2B4232532D",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 7,
      "product": {
        "title": "Zebra Pen Mildliner, double ended highlighter, fluorescent colors, 5-pack",
        "link": "https://www.walmart.com/ip/Zebra-Pen-Mildliner-double-ended-highlighter-fluorescent-colors-5-pack/425674262",
        "description": "<li>Mildliner double-ended highlighter</li><li>Water resistant ink in fluorescent colors</li><li>Ideal for note-taking, journals, planners, and more</li>",
        "brand": "Zebra",
        "item_id": "425674262",
        "product_id": "0Z08NFXJGKSD",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/f5a5fee3-eb8d-4e5d-b6cf-05b93e6f8f63_1.1edff72d8d4092c64495da0afe15be59.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00045888781054",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 3.9,
        "ratings_total": 14
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 1189,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 5.97,
          "currency": "USD",
          "id": "6DDDDB24239C4B619A2D047AF1274216",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": true,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 8,
      "product": {
        "title": "Sharpie Fine Point Marker Pens, Assorted Colors, 12 Count",
        "link": "https://www.walmart.com/ip/Sharpie-Fine-Point-Marker-Pens-Assorted-Colors-12-Count/24419182",
        "description": "<li>Includes 12 Sharpie colored pens</li><li>Fine point creates sharp lines</li><li>Vivid ink won't bleed through paper</li>",
        "brand": "Sharpie",
        "item_id": "24419182",
        "product_id": "3YH13ZVR9BQD",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/610cb49e-4710-415f-b395-e72be7147bfa_1.28b7ae3e8113b26903bb164bac773848.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071641041745",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.1,
        "ratings_total": 27
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 933,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 3.97,
          "min_price": 3.97,
          "max_price": 17.88,
          "id": "AF9BE3219AB84D70A14BAB124263A905",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": true,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": "Best Seller"
        }
      }
    },
    {
      "position": 9,
      "product": {
        "title": "Sharpie Accent Liquid Highlighters, Assorted Colors, 5 Count",
        "link": "https://www.walmart.com/ip/Sharpie-Accent-Liquid-Highlighters-Assorted-Colors-5-Count/14962907",
        "description": "<li>Quick-drying</li><li>Odorless</li><li>Loop for attaching to 3-ring binders, bags and more</li>",
        "brand": "Sharpie",
        "item_id": "14962907",
        "product_id": "4AQ1LT10KZBF",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/cb9d8e61-e160-4640-85fc-0e4a60fd3ad5_1.8247eb952a1c4850d9d76bbb14ca602c.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00071641245754",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.7,
        "ratings_total": 20
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 8034,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 5.27,
          "currency": "USD",
          "id": "9E52732B46B34CBA8D87E4B18045A5CB",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "two_day_shipping_eligible": true,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    },
    {
      "position": 10,
      "product": {
        "title": "Zebra Pen Mildliner, double-ended highlighter set, 15-pack",
        "link": "https://www.walmart.com/ip/Zebra-Pen-Mildliner-double-ended-highlighter-set-15-pack/867197599",
        "description": "Mildliner Double Ended Highlighter, Bullet; Chisel, Assorted, 5/Pack",
        "brand": "Zebra",
        "item_id": "867197599",
        "product_id": "0SAYB9RKPWLU",
        "images": {
          "primary_image": "https://i5.walmartimages.com/asr/ad6c2817-abbe-45b2-8b09-862ee0d4ff15_1.1eba1784df7fba2624945087b2a68582.jpeg?odnHeight=200&odnWidth=200&odnBg=ffffff"
        },
        "upc": "00045888781153",
        "department": "Office Supplies",
        "premium_brand": false,
        "rating": 4.2,
        "ratings_total": 14
      },
      "inventory": {
        "in_stock": true,
        "stock_level": 480,
        "available_online": true,
        "is_blitz_item": false,
        "is_limited_quantity": false,
        "preorder_available": false
      },
      "offers": {
        "primary": {
          "price": 16.88,
          "currency": "USD",
          "id": "7284DAE852A24D57ABF6A871B8F49951",
          "seller": {
            "name": "Walmart.com",
            "id": "F55CDC31AB754BB68FE0B39041159D63"
          }
        },
        "is_marketplace_item": false,
        "pickup_discount_eligible": false
      },
      "fulfillment": {
        "next_day_shipping_eligible": true,
        "two_day_shipping_eligible": false,
        "shipping_pass_eligible": false,
        "ship_to_home": true,
        "ship_to_store": false
      },
      "promotions": {
        "primary": {
          "text": true
        }
      }
    }
  ],
  "categories": [
    {
      "name": "Office Supplies",
      "id": "1229749",
      "count": 921,
      "sub_categories": [
        {
          "name": "School Supplies",
          "id": "1229749_1086045",
          "count": 131
        },
        {
          "name": "Pens",
          "id": "1229749_1988510",
          "count": 280
        },
        {
          "name": "Office Technology",
          "id": "1229749_1070964",
          "count": 1
        },
        {
          "name": "Office Supplies & School Supplies by Brand",
          "id": "1229749_1431586",
          "count": 280
        },
        {
          "name": "Markers and Highlighters",
          "id": "1229749_9081741",
          "count": 655
        },
        {
          "name": "Erasers & Correction Products",
          "id": "1229749_5237975",
          "count": 1
        }
      ]
    },
    {
      "name": "Home Improvement",
      "id": "1072864",
      "count": 5,
      "sub_categories": [
        {
          "name": "Garage & Storage",
          "id": "1072864_1067618",
          "count": 1
        },
        {
          "name": "Paint",
          "id": "1072864_1067617",
          "count": 4
        },
        {
          "name": "Tools",
          "id": "1072864_1031899",
          "count": 1
        }
      ]
    },
    {
      "name": "Beauty",
      "id": "1085666",
      "count": 19,
      "sub_categories": [
        {
          "name": "Beauty Next Day",
          "id": "1085666_1470355",
          "count": 17
        },
        {
          "name": "Makeup",
          "id": "1085666_1007040",
          "count": 19
        }
      ]
    },
    {
      "name": "Toys",
      "id": "4171",
      "count": 24
    },
    {
      "name": "Patio & Garden",
      "id": "5428",
      "count": 2,
      "sub_categories": [
        {
          "name": "Garden Center",
          "id": "5428_4091",
          "count": 2
        },
        {
          "name": "Patio & Outdoor Decor",
          "id": "5428_1102183",
          "count": 2
        }
      ]
    },
    {
      "name": "Clothing",
      "id": "5438",
      "count": 7
    },
    {
      "name": "Auto & Tires",
      "id": "91083",
      "count": 1
    },
    {
      "name": "Health",
      "id": "976760",
      "count": 96
    },
    {
      "name": "Arts Crafts & Sewing",
      "id": "1334134",
      "count": 210,
      "sub_categories": [
        {
          "name": "Art Supplies",
          "id": "1334134_5899871",
          "count": 206
        },
        {
          "name": "Crafting",
          "id": "1334134_6172404",
          "count": 3
        },
        {
          "name": "Crayola",
          "id": "1334134_5916865",
          "count": 2
        },
        {
          "name": "Elmer's",
          "id": "1334134_8883644",
          "count": 2
        }
      ]
    },
    {
      "name": "Premium Beauty",
      "id": "7924299",
      "count": 7
    },
    {
      "name": "Collectibles",
      "id": "5967908",
      "count": 1
    },
    {
      "name": "Shop by Movie",
      "id": "5920738",
      "count": 1
    },
    {
      "name": "Feature",
      "id": "14503",
      "count": 24
    }
  ],
  "facets": [
    {
      "name": "retailer",
      "display_name": "Retailer",
      "values": [
        {
          "display_name": "Walmart.com",
          "value": "Walmart.com",
          "count": 88
        },
        {
          "display_name": "MyOfficeInnovations",
          "value": "MyOfficeInnovations",
          "count": 45
        },
        {
          "display_name": "BestSource OfficeSupplies",
          "value": "BestSource%20OfficeSupplies",
          "count": 3
        },
        {
          "display_name": "Pharmapacks",
          "value": "Pharmapacks",
          "count": 15
        },
        {
          "display_name": "School Specialty",
          "value": "School%20Specialty",
          "count": 7
        },
        {
          "display_name": "SUPERHOMUSE",
          "value": "SUPERHOMUSE",
          "count": 4
        },
        {
          "display_name": "Joybuy",
          "value": "Joybuy",
          "count": 81
        },
        {
          "display_name": "ADVENTURER'S BAG",
          "value": "ADVENTURER'S%20BAG",
          "count": 76
        },
        {
          "display_name": "My Goods",
          "value": "My%20Goods",
          "count": 58
        },
        {
          "display_name": "Taber",
          "value": "Taber",
          "count": 51
        },
        {
          "display_name": "Pens N More",
          "value": "Pens%20N%20More",
          "count": 49
        },
        {
          "display_name": "UnbeatableSale",
          "value": "UnbeatableSale",
          "count": 39
        },
        {
          "display_name": "Stuff4Crafts",
          "value": "Stuff4Crafts",
          "count": 27
        },
        {
          "display_name": "Joybuy Express",
          "value": "Joybuy%20Express",
          "count": 25
        },
        {
          "display_name": "Save money",
          "value": "Save%20money",
          "count": 20
        },
        {
          "display_name": "DropAir",
          "value": "DropAir",
          "count": 17
        },
        {
          "display_name": "Minimalist Office",
          "value": "Minimalist%20Office",
          "count": 17
        },
        {
          "display_name": "Office Depot, Inc.",
          "value": "Office%20Depot%2C%20Inc.",
          "count": 14
        },
        {
          "display_name": "CJ Technology LLC",
          "value": "CJ%20Technology%20LLC",
          "count": 13
        },
        {
          "display_name": "Azzle Wholesale Mart",
          "value": "Azzle%20Wholesale%20Mart",
          "count": 12
        }
      ]
    },
    {
      "name": "count_per_pack",
      "display_name": "Count",
      "values": [
        {
          "display_name": "1 - 4",
          "value": "1%20-%204",
          "count": 207
        },
        {
          "display_name": "5 - 9",
          "value": "5%20-%209",
          "count": 19
        },
        {
          "display_name": "10 - 19",
          "value": "10%20-%2019",
          "count": 34
        },
        {
          "display_name": "20 - 29",
          "value": "20%20-%2029",
          "count": 8
        },
        {
          "display_name": "30 - 39",
          "value": "30%20-%2039",
          "count": 2
        },
        {
          "display_name": "60 - 79",
          "value": "60%20-%2079",
          "count": 1
        },
        {
          "display_name": "100 - 119",
          "value": "100%20-%20119",
          "count": 1
        }
      ]
    },
    {
      "name": "price",
      "display_name": "Price",
      "values": []
    },
    {
      "name": "pen_point_style",
      "display_name": "Pen Point Style",
      "values": [
        {
          "display_name": "Chisel",
          "value": "Chisel",
          "count": 36
        },
        {
          "display_name": "Broad",
          "value": "Broad",
          "count": 8
        },
        {
          "display_name": "Brush",
          "value": "Brush",
          "count": 6
        },
        {
          "display_name": "Bullet",
          "value": "Bullet",
          "count": 4
        },
        {
          "display_name": "Extra Broad",
          "value": "Extra%20Broad",
          "count": 1
        },
        {
          "display_name": "Extra Fine",
          "value": "Extra%20Fine",
          "count": 1
        },
        {
          "display_name": "Felt",
          "value": "Felt",
          "count": 1
        },
        {
          "display_name": "Fine",
          "value": "Fine",
          "count": 39
        },
        {
          "display_name": "Medium",
          "value": "Medium",
          "count": 1
        },
        {
          "display_name": "Ultra Fine",
          "value": "Ultra%20Fine",
          "count": 2
        }
      ]
    }
  ],
  "pagination": {
    "current": {
      "page": 1,
      "link": "https://www.walmart.com/search/?query=highlighter%20pens&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
    },
    "next": {
      "page": 2,
      "link": "https://www.walmart.com/search/?[object Object]"
    },
    "other_pages": [
      {
        "page": 1,
        "link": "https://www.walmart.com/search/?query=highlighter%20pens&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
      },
      {
        "page": 2,
        "link": "https://www.walmart.com/search/?query=highlighter%20pens&page=2&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
      },
      {
        "page": 3,
        "link": "https://www.walmart.com/search/?query=highlighter%20pens&page=3&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
      },
      {
        "page": 4,
        "link": "https://www.walmart.com/search/?query=highlighter%20pens&page=4&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
      },
      {
        "page": 5,
        "link": "https://www.walmart.com/search/?query=highlighter%20pens&page=5&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
      },
      {
        "page": 6,
        "link": "https://www.walmart.com/search/?query=highlighter%20pens&page=6&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
      }
    ],
    "last_page": {
      "page": 25,
      "link": "https://www.walmart.com/search/?query=highlighter%20pens&page=25&sort=best_seller&soft_sort=false&cat_id=0&grid=true&ps=40"
    },
    "total_pages": 25
  },
  "related_queries": [
    {
      "query": "gel highlighter",
      "score": 0.218817204301,
      "link": "https://www.walmart.com/search/?query=gel%20highlighter&method=related"
    },
    {
      "query": "folder",
      "score": 0.204838709677,
      "link": "https://www.walmart.com/search/?query=folder&method=related"
    },
    {
      "query": "pocket dividers",
      "score": 0.0833333333333,
      "link": "https://www.walmart.com/search/?query=pocket%20dividers&method=related"
    },
    {
      "query": "agenda book student planner",
      "score": 0.677419354839,
      "link": "https://www.walmart.com/search/?query=agenda%20book%20student%20planner&method=related"
    },
    {
      "query": "highlighter",
      "score": 0.275268817204,
      "link": "https://www.walmart.com/search/?query=highlighter&method=related"
    },
    {
      "query": "student planner",
      "score": 0.944086021505,
      "link": "https://www.walmart.com/search/?query=student%20planner&method=related"
    },
    {
      "query": "stapler",
      "score": 0.645698924731,
      "link": "https://www.walmart.com/search/?query=stapler&method=related"
    },
    {
      "query": "ruler",
      "score": 0.628494623656,
      "link": "https://www.walmart.com/search/?query=ruler&method=related"
    }
  ],
  "location_info": {
    "location": {
      "city": "Houston",
      "state": "TX",
      "zipcode": "77001",
      "country": "USA"
    },
    "store": [
      {
        "id": 5959,
        "name": "Houston Supercenter",
        "timezone": "CST",
        "address": {
          "street": "111 Yale St",
          "city": "Houston",
          "state": "TX",
          "zipcode": "77007",
          "country": "US"
        },
        "opening_hours": {
          "monday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "tuesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "wednesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "thursday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "friday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "saturday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "sunday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          }
        },
        "phone": "713-860-0700",
        "is_kiosk": false,
        "gps_coordinates": {
          "latitude": 29.7728201,
          "longitude": -95.401322
        },
        "link": "http://www.walmart.com/store/5959"
      },
      {
        "id": 4526,
        "name": "Houston Supercenter",
        "timezone": "CST",
        "address": {
          "street": "4412 North Fwy",
          "city": "Houston",
          "state": "TX",
          "zipcode": "77022",
          "country": "US"
        },
        "opening_hours": {
          "monday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "tuesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "wednesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "thursday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "friday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "saturday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "sunday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          }
        },
        "phone": "713-300-0511",
        "is_kiosk": false,
        "gps_coordinates": {
          "latitude": 29.829851,
          "longitude": -95.377074
        },
        "link": "http://www.walmart.com/store/4526"
      },
      {
        "id": 5612,
        "name": "Houston Supercenter",
        "timezone": "CST",
        "address": {
          "street": "2391 S Wayside Dr",
          "city": "Houston",
          "state": "TX",
          "zipcode": "77023",
          "country": "US"
        },
        "opening_hours": {
          "monday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "tuesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "wednesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "thursday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "friday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "saturday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "sunday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          }
        },
        "phone": "713-300-3653",
        "is_kiosk": false,
        "gps_coordinates": {
          "latitude": 29.7162189,
          "longitude": -95.3129339
        },
        "link": "http://www.walmart.com/store/5612"
      },
      {
        "id": 3640,
        "name": "Houston Supercenter",
        "timezone": "CST",
        "address": {
          "street": "1118 Silber Rd",
          "city": "Houston",
          "state": "TX",
          "zipcode": "77055",
          "country": "US"
        },
        "opening_hours": {
          "monday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          },
          "tuesday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          },
          "wednesday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          },
          "thursday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          },
          "friday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          },
          "saturday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          },
          "sunday": {
            "is_open": true,
            "open": 700,
            "close": 2030
          }
        },
        "phone": "713-797-2245",
        "is_kiosk": false,
        "gps_coordinates": {
          "latitude": 29.788756,
          "longitude": -95.465145
        },
        "link": "http://www.walmart.com/store/3640"
      },
      {
        "id": 3584,
        "name": "Houston Supercenter",
        "timezone": "CST",
        "address": {
          "street": "5405 South Rice Avenue",
          "city": "Houston",
          "state": "TX",
          "zipcode": "77081",
          "country": "US"
        },
        "opening_hours": {
          "monday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "tuesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "wednesday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "thursday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "friday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "saturday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          },
          "sunday": {
            "is_open": true,
            "open": 700,
            "close": 2200
          }
        },
        "phone": "713-860-9242",
        "is_kiosk": false,
        "gps_coordinates": {
          "latitude": 29.723052,
          "longitude": -95.465008
        },
        "link": "http://www.walmart.com/store/3584"
      }
    ]
  },
  "ads": [
    {
      "section_type": "SearchBrandAmplifier",
      "section_id": "c524db1a-7dbe-4322-9c6d-6e4a4ca80f93",
      "section_location": "container1",
      "group_type": "product",
      "group_title": "Sponsored Products",
      "image": "https://i5.walmartimages.com/asr/65120b13-13f8-43ec-8214-8dd6700c4c61.5ad7b4543c7b90fe96577ffe689134c8.jpeg",
      "brand": "Smucker's",
      "title": "Smucker's Natural Strawberry Fruit Spread, 19-Ounce",
      "stock_level": 248
    },
    {
      "section_type": "SearchBrandAmplifier",
      "section_id": "c524db1a-7dbe-4322-9c6d-6e4a4ca80f93",
      "section_location": "container1",
      "group_type": "product",
      "group_title": "Sponsored Products",
      "image": "https://i5.walmartimages.com/asr/9122c4ec-8589-4578-adbb-5fe2c2a53efc_1.6cc0759b6e36bfebdbb74137552881ec.jpeg",
      "brand": "Smucker's",
      "title": "Smucker's Natural Concord Grape Fruit Spread, 12.75-Ounce Jar",
      "stock_level": 61
    }
  ]
}
```

:::hint{type="info"}
**Response Times & Concurrency**
BlueCart API gathers data in real-time and will typically return a result in 1-6 seconds. Please inspect the [HTTP Response Code](https://docs.trajectdata.com/bluecartapi/response-codes) and update your app accordingly.

If you need to run large volumes of requests consider using the [Collections API](https://docs.trajectdata.com/bluecartapi/collections-api/overview). Collections allow you to enqueue up to 15,000 requests, run them manually or on a schedule and execute them concurrently on BlueCart API's infrastructure.
:::

***

### Getting Data for an Individual Product

<font color="#52c41a">`GET`</font>  `/request`

Lets say we want to change our query to request a different type of data - information on a specific [product](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/product), in this case the product with Item ID  `27672251`  on  `walmart.com` . Here's the BlueCart API request to achieve that:

:::CodeblockTabs
HTTP

```HTTP
https://api.bluecartapi.com/request?api_key=demo&type=product&item_id=27672251
```

```curl
$ curl -L --get https://api.bluecartapi.com/request \
  -d api_key="demo" \
  -d type="product" \
  -d item_id="27672251"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  item_id: "27672251"
}

// make the http GET request to BlueCart API
axios.get('https://api.bluecartapi.com/request', { params })
  .then(response => {

    // print the JSON response from BlueCart API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'item_id': '27672251'
}

# make the http GET request to BlueCart API
api_result = requests.get('https://api.bluecartapi.com/request', params)

# print the JSON response from BlueCart API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'product',
  'item_id': '27672251'
]);

# make the http GET request to BlueCart API
$ch = curl_init(sprintf('%s?%s', 'https://api.bluecartapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BlueCart API
echo $api_result;

?>
```
:::

The result of the Product request is shown below. For full documentation on Product results see the [Product Results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/results/product) docs.

```json
{
  "request_info": {
    "success": true,
    "credits_used": 1,
    "credits_remaining": 999
  },
  "request_metadata": {
    "id": "48d63ef58b3eb240d5b18115b674c4170faba56f",
    "created_at": "2020-01-01T00:00:00.000Z",
    "processed_at": "2020-01-01T00:00:00.001Z",
    "total_time_taken": 0.1,
    "walmart_url": "https://www.walmart.com/ip/782866746"
  },
  "request_parameters": {
    "type": "product",
    "item_id": "782866746",
    "customer_zipcode": "77001"
  },
  "product": {
    "link": "https://www.walmart.com/ip/BIC-Cristal-Xtra-Smooth-Ball-Pen-Medium-Point-1-0mm-Black-10-Count/782866746",
    "title": "BIC Cristal Xtra Smooth Ball Pen, Medium Point (1.0mm), Black, 10 Count",
    "upc": "070330682719",
    "item_id": "782866746",
    "product_id": "2AC6G32PIBYM",
    "item_number": "563705619",
    "description": "<p><b>BIC Cristal Xtra Smooth Ball Pen, Medium Point (1.0mm), Black, 10 Count</b></p><ul><li>Easy-Glide System offers smooth and consistent ink flow</li><li>1.0mm medium point creates vivid lines</li><li>See-through barrel lets you know when you're low on ink</li><li>Hexagonal barrel keeps the pen from rolling off desks or other flat surfaces</li><li>Available in black, blue, and red ink colors</li><li>Non-refillable</li></ul>",
    "model": "MSP101-BLK",
    "brand": "BIC",
    "brand_link": "https://www.walmart.com/tp/bic",
    "manufacturer": "Bic",
    "ratings_total": 144,
    "rating": 4.7,
    "main_image": {
      "link": "https://i5.walmartimages.com/asr/a5d391c6-0d54-40db-937e-41679829db3e_1.857a54fe94c393bf37e73b96d70de7b4.jpeg"
    },
    "images": [
      {
        "link": "https://i5.walmartimages.com/asr/a5d391c6-0d54-40db-937e-41679829db3e_1.857a54fe94c393bf37e73b96d70de7b4.jpeg",
        "id": "4EF845FBC29A4F5EAB57367D2652222C",
        "zoomable": true
      },
      {
        "link": "https://i5.walmartimages.com/asr/4367846f-e14f-4e36-9f6d-f07d43fe46a4_1.2b1e8f767bfdfdcd67c94a9bccfa42ea.jpeg",
        "id": "43798E1EE55F409A8973A41B1AB301B7",
        "zoomable": true
      },
      {
        "link": "https://i5.walmartimages.com/asr/3e913165-fe04-4d4c-aed4-b6b43bc17bec.887e676ac8ee403969cab8427f8cc233.jpeg",
        "id": "06842D7543E74EDB97D2980A5BB24DB9",
        "zoomable": true
      },
      {
        "link": "https://i5.walmartimages.com/asr/cc1f254a-c0ad-4a1a-8c89-aed83e29bd0a.a4aa002d2feba9f9a00b824f67b9bb61.jpeg",
        "id": "C56D691D3F73437D9C490040C291B487",
        "zoomable": true
      },
      {
        "link": "https://i5.walmartimages.com/asr/a385f66c-ec06-40b7-8ac7-22e9e70a0105.c8ae9deceb5ae5b4d61d5cd56797c2af.jpeg",
        "id": "5C7311958A8A48E6A19E5D2FBCF31F38",
        "zoomable": true
      },
      {
        "link": "https://i5.walmartimages.com/asr/1a97e831-207d-4be9-9c5b-175d6b6b1173.7dd0ace0706361a4d6832f789947d551.jpeg",
        "id": "6636EAC9E2C94AF5840D091D9630B765",
        "zoomable": true
      },
      {
        "link": "https://i5.walmartimages.com/asr/a45112ac-e3bc-4d39-924d-c2d8919e0eec.751f98c18af8b3909d13dcfffc0ce19e.jpeg",
        "id": "7EBE98C74D5948499FE4DAF8FAE5222F",
        "zoomable": true
      }
    ],
    "categories": [
      {
        "name": "Office Supplies",
        "link": "https://www.walmart.com/cp/1229749"
      },
      {
        "name": "Pens",
        "link": "https://www.walmart.com/cp/1988510"
      },
      {
        "name": "Ballpoint Pens",
        "link": "https://www.walmart.com/cp/6110834"
      }
    ],
    "specifications": [
      {
        "name": "Features",
        "value": "Long Lasting"
      },
      {
        "name": "Brand",
        "value": "BIC"
      },
      {
        "name": "Manufacturer Part Number",
        "value": "MSP101BK"
      },
      {
        "name": "Color",
        "value": "Clear"
      },
      {
        "name": "Assembled Product Dimensions (L x W x H)",
        "value": "0.75 x 3.00 x 7.50 Inches"
      }
    ],
    "color": "Clear",
    "dimensions": "0.75 x 3.00 x 7.50 Inches",
    "buybox_winner": {
      "price": 0.97,
      "was_price": 1.57,
      "unit": "each",
      "unit_price": 0.097,
      "unit_price_text": "(9.7 cents/EA)",
      "currency_symbol": "$",
      "offers_total": 12,
      "offers": [
        {
          "price": 3.18,
          "fulfillment": {
            "ship_to_home_eligible": true,
            "pickup_eligible": false
          },
          "seller": {
            "name": "Pharmapacks",
            "id": "80CEE2A63DCD4E66ADE9147F16441CE4",
            "link": "https://www.walmart.com/reviews/seller/1150?offerId=B08B7D809173495D93967EA652E1175F"
          }
        },
        {
          "price": 5.91,
          "fulfillment": {
            "ship_to_home_eligible": true,
            "pickup_eligible": false
          },
          "seller": {
            "name": "AmericaRx Smart Shop",
            "id": "8EADFDB495C0414BB561F49EC5BEB642",
            "link": "https://www.walmart.com/reviews/seller/1183?offerId=218564702546439ABAB46CC66F10132A"
          }
        }
      ],
      "seller": {
        "name": "Walmart.com",
        "id": "F55CDC31AB754BB68FE0B39041159D63",
        "offer_id": "00070330682719"
      },
      "fulfillment": {
        "next_day_shipping_eligible": false,
        "pickup_eligible": true,
        "pickup_today_eligible": true
      }
    },
    "promotions": {
      "rollback": true
    }
  },
  "location_info": {
    "location": {
      "city": "Houston",
      "state": "TX",
      "zipcode": "77001",
      "country": "USA"
    }
  }
}
```

:::hint{type="info"}
**Localizing Results to a Zipcode or Postal Code**
BlueCart API allows you to retrieve results as they would be seen by a user in a given zipcode or postal code by specifying the zipcode or postal code in the  `customer_zipcode`  request parameter.

For example, to request results as they would be seen by a user in US zipcode  `77001`  you should append the  `customer_zipcode=77001`  request parameter.
:::

***

**Next Steps**
     [Searching for Products on Walmart](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/search)
     [Retrieving Customer Reviews](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/reviews)
